net.dontdrinkandroot.wicket.behavior.jqueryui

## Class SortableBehavior

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - org.apache.wicket.behavior.AbstractAjaxBehavior
    - - org.apache.wicket.ajax.AbstractDefaultAjaxBehavior
      - - net.dontdrinkandroot.wicket.behavior.jqueryui.SortableBehavior

All Implemented Interfaces:
  Serializable, org.apache.wicket.behavior.IBehaviorListener, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.IRequestListener, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public abstract class SortableBehavior
    extends org.apache.wicket.ajax.AbstractDefaultAjaxBehavior

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wicket.ajax.AbstractDefaultAjaxBehavior

`INDICATOR`

### Fields inherited from interface org.apache.wicket.behavior.IBehaviorListener

`INTERFACE`

### Constructor Summary

Constructors
Constructor and Description
`SortableBehavior(String itemSelector)`

### Method Summary

Methods
`protected org.apache.wicket.Component` `getContainment()`
`protected String` `getPlaceHolderClass()`
`protected abstract void` `onInsert(org.apache.wicket.ajax.AjaxRequestTarget target, Object droppedModelObject, int position)`
`protected abstract void` `onPositionChanged(org.apache.wicket.ajax.AjaxRequestTarget target, int oldPosition, int newPosition)`
`protected abstract void` `onRemove(org.apache.wicket.ajax.AjaxRequestTarget target, int position)`
`void` `renderHead(org.apache.wicket.Component component, org.apache.wicket.markup.head.IHeaderResponse response)`
`protected void` `respond(org.apache.wicket.ajax.AjaxRequestTarget target)`

### Methods inherited from class org.apache.wicket.ajax.AbstractDefaultAjaxBehavior

`findIndicatorId, getAttributes, getCallbackFunction, getCallbackFunctionBody, getCallbackScript, getCallbackScript, getChannel, getFailureScript, getPreconditionScript, getSuccessScript, onBind, onRequest, postprocessConfiguration, renderAjaxAttributes, renderAjaxAttributes, updateAjaxAttributes`

### Methods inherited from class org.apache.wicket.behavior.AbstractAjaxBehavior

`afterRender, bind, getCallbackUrl, getComponent, onComponentRendered, onComponentTag, onComponentTag`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`beforeRender, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onConfigure, onEvent, onException, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SortableBehavior

    public SortableBehavior(String itemSelector)

### Method Detail

#### respond

    protected void respond(org.apache.wicket.ajax.AjaxRequestTarget target)

Specified by:
  `respond` in class `org.apache.wicket.ajax.AbstractDefaultAjaxBehavior`

#### renderHead

    public void renderHead(org.apache.wicket.Component component,
                  org.apache.wicket.markup.head.IHeaderResponse response)

Specified by:
  `renderHead` in interface `org.apache.wicket.markup.html.IComponentAwareHeaderContributor`
Overrides:
  `renderHead` in class `org.apache.wicket.ajax.AbstractDefaultAjaxBehavior`

#### getPlaceHolderClass

    protected String getPlaceHolderClass()

#### getContainment

    protected org.apache.wicket.Component getContainment()

#### onPositionChanged

    protected abstract void onPositionChanged(org.apache.wicket.ajax.AjaxRequestTarget target,
                         int oldPosition,
                         int newPosition)

#### onRemove

    protected abstract void onRemove(org.apache.wicket.ajax.AjaxRequestTarget target,
                int position)

#### onInsert

    protected abstract void onInsert(org.apache.wicket.ajax.AjaxRequestTarget target,
                Object droppedModelObject,
                int position)